@echo off
rem Batch file to move lan manager boot files from floppy disk to hard disk
rem     copyhard [drive:]
rem The batch file takes one parameter, the destination drive, which
rem defaults to c: if not supplied
rem The batch file will create a sub-directory on the hard disk
rem (\lanman) and will copy the files into it. Following this
rem the files \CONFIG.SYS, \AUTOEXEC.BAT and \LANMAN\LANMAN.INI 
rem will need to be manually edited.
rem
set drive=%1
if "%1" == "" set drive=C:
set lanman=%drive%\lanman
echo Copying Lan Manager files to drive %drive%
pause
if not exist %lanman%\lanman.ini md %lanman%
copy *.exe %lanman%
copy *.ini %lanman%
copy *.msg %lanman%
copy *.dos %lanman%
copy protman.sys %lanman%
copy autoexec.bat %lanman%\netstart.bat
echo All files transferred
echo Now you must
echo 1) edit \CONFIG.SYS to load the network drivers
echo e.g. device=%lanman%\protman.sys /i:%lanman%
echo      device=%lanman%\eth592.dos
echo 2) edit \AUTOEXEC.BAT to set a path to \LANMAN and to run NETSTART.BAT
echo e.g. path=%path%;%lanman%
echo      cd lanman
echo      call netstart
echo      cd \
echo 3) edit %lanman%\LANMAN.INI
echo    to change "startroot" to %lanman% in the [apricot] section
echo    to change "path" to %lanman% in the [amload] section
echo    to change "lanroot" to %lanman% in the [workstation] section 
